aboutsummaryrefslogtreecommitdiffstats
path: root/dmaap-bc/misc/doaction
diff options
context:
space:
mode:
Diffstat (limited to 'dmaap-bc/misc/doaction')
-rw-r--r--dmaap-bc/misc/doaction63
1 files changed, 63 insertions, 0 deletions
diff --git a/dmaap-bc/misc/doaction b/dmaap-bc/misc/doaction
new file mode 100644
index 0000000..7fee592
--- /dev/null
+++ b/dmaap-bc/misc/doaction
@@ -0,0 +1,63 @@
+#!/bin/bash
+#
+# ============LICENSE_START==========================================
+# org.onap.dmaap
+# ===================================================================
+# Copyright © 2018 AT&T Intellectual Property. All rights reserved.
+# ===================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END============================================
+# ECOMP is a trademark and service mark of AT&T Intellectual Property.
+#
+#
+
+cd /opt/app/dmaapbc/etc
+for action in "$@"
+do
+case "$action" in
+'backup')
+ cp log4j.properties log4j.properties.save 2>/dev/null
+ cp dmaapbc.properties dmaapbc.properties.save 2>/dev/null
+ cp havecert havecert.save 2>/dev/null
+ ;;
+'stop')
+ /opt/app/platform/init.d/dmaapbc stop
+ ;;
+'start')
+ /opt/app/platform/init.d/dmaapbc start || exit 1
+ ;;
+'config')
+ /bin/bash log4j.properties.tmpl >log4j.properties
+ /bin/bash dmaapbc.properties.tmpl >dmaapbc.properties
+ /bin/bash havecert.tmpl >havecert
+ /bin/bash PolicyEngineApi.properties.tmpl > ../config/PolicyEngineApi.properties
+ chmod +x havecert
+ rm -f /opt/app/platform/rc.d/K90dmaapbc /opt/app/platform/rc.d/S10dmaapbc
+ ln -s ../init.d/dmaapbc /opt/app/platform/rc.d/K90dmaapbc
+ ln -s ../init.d/dmaapbc /opt/app/platform/rc.d/S10dmaapbc
+ ;;
+'restore')
+ cp log4j.properties.save log4j.properties 2>/dev/null
+ cp dmaapbc.properties.save dmaapbc.properties 2>/dev/null
+ cp havecert.save havecert 2>/dev/null
+ ;;
+'clean')
+ rm -f log4j.properties dmaapbc.properties havecert log4j.properties.save dmaapbc.properties.save havecert.save SHUTDOWN redirections.dat VERSION.dmaapbc
+ rm -f /opt/app/platform/rc.d/K90dmaapbc /opt/app/platform/rc.d/S10dmaapbc
+ ;;
+*)
+ exit 1
+ ;;
+esac
+done
+exit 0